Create Role
curl --request POST \
--url https://api.example.com/app/v1/organizations/{organizationId}/roles \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"permissions": {}
}
'import requests
url = "https://api.example.com/app/v1/organizations/{organizationId}/roles"
payload = {
"name": "<string>",
"description": "<string>",
"permissions": {}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', permissions: {}})
};
fetch('https://api.example.com/app/v1/organizations/{organizationId}/roles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Roles
Create Role
Create a new role
POST
/
app
/
v1
/
organizations
/
{organizationId}
/
roles
Create Role
Path Parameters
Organization ID
Request Body
Role name (must be unique within organization)
Role description
Permission settings for each resource type
Example Request
{
"name": "content-writer",
"description": "Can create and edit content drafts without publishing",
"permissions": {
"organizations": {
"read": true,
"update": false,
"delete": false
},
"projects": {
"create": false,
"read": true,
"update": false,
"delete": false
},
"users": {
"create": false,
"read": false,
"update": false,
"delete": false
},
"roles": {
"create": false,
"read": false,
"update": false,
"delete": false
},
"apiKeys": {
"create": false,
"read": false,
"update": false,
"delete": false
},
"components": {
"create": false,
"read": true,
"update": false,
"delete": false
},
"packages": {
"create": false,
"read": true,
"update": false,
"delete": false
},
"contentTypes": {
"create": false,
"read": true,
"update": false,
"publish": false,
"delete": false
},
"content": {
"create": true,
"read": true,
"update": true,
"publish": false,
"delete": false
},
"assets": {
"create": true,
"read": true,
"update": false,
"delete": false
}
}
}
Response
Returns the created Role object.{
"id": "role789",
"name": "content-writer",
"description": "Can create and edit content drafts without publishing",
"permissions": {
"organizations": { "read": true, "update": false, "delete": false },
"content": { "create": true, "read": true, "update": true, "publish": false, "delete": false }
},
"createdAt": "2024-03-22T10:00:00Z",
"updatedAt": "2024-03-22T10:00:00Z"
}
Error Responses
Role Name Already Exists
{
"error": {
"code": "ROLE_NAME_ALREADY_EXISTS",
"message": "Role with name \"content-writer\" already exists"
}
}
Code Examples
curl -X POST "https://api.metabind.ai/app/v1/organizations/org123/roles" \
-H "Authorization: Bearer YOUR_JWT" \
-H "Content-Type: application/json" \
-d '{
"name": "content-writer",
"description": "Can create and edit content",
"permissions": {
"organizations": { "read": true, "update": false, "delete": false },
"projects": { "create": false, "read": true, "update": false, "delete": false },
"content": { "create": true, "read": true, "update": true, "publish": false, "delete": false },
"assets": { "create": true, "read": true, "update": false, "delete": false }
}
}'
const response = await fetch(
'https://api.metabind.ai/app/v1/organizations/org123/roles',
{
method: 'POST',
headers: {
'Authorization': 'Bearer YOUR_JWT',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: 'content-writer',
description: 'Can create and edit content',
permissions: {
organizations: { read: true, update: false, delete: false },
content: { create: true, read: true, update: true, publish: false, delete: false }
}
})
}
);
const role = await response.json();
console.log(`Created role: ${role.id}`);
⌘I